Skip to main content
GET
List Contracts

Authorizations

X-API-KEY
string
header
required

Query Parameters

integration_sources
enum<string>[] | null
Available options:
bill_com,
ramp,
zoho,
fivetran,
stripe,
hubspot,
brex,
cubby,
avalara,
deel,
tax1099,
sitelink,
postgresql,
qlik,
power_bi,
snowflake,
avidxchange,
concur,
salesforce,
hmrc,
rippling,
monday,
airwallex,
pleo,
tipalti,
addepar,
moss,
quickbooks,
xero,
netsuite_suiteanalytics,
sage_intacct,
netsuite_rutter,
sage_50_rutter,
sage_50,
qbd,
adp_totalsource,
adp_workforce_now,
justworks,
paychex_flex,
paycom,
gusto,
ukg_ready,
manual
search
string | null
id
integer[] | null
company_id
integer[] | null
number
integer[] | null
customer_id
integer[] | null
status
enum<string>[] | null

Filter-only enum that extends ContractStatus with virtual statuses.

Available options:
draft,
review,
active,
completed,
terminated,
archived
start_date
string<date> | null
end_date
string<date> | null
contract_start_date
string<date> | null
contract_end_date
string<date> | null
approval_status
string[] | null
recognition_mode
enum<string>[] | null
Available options:
individual,
subledger
recognition_strategy
enum<string>[] | null
Available options:
straight_line,
straight_line_start_end_even,
daily_prorata,
milestone,
usage_tiered,
usage,
immediate,
deposit_release
has_auto_renewal
boolean | null
has_scheduled_termination
boolean | null
days_till_expiry
integer | null
updated_after
string<date-time> | null
updated_before
string<date-time> | null
ordering
string | null
default:-updated_at
limit
integer
default:100

Number of records to return per page (capped at 100)

Required range: x >= 1
offset
integer
default:0

Number of records to skip before starting to return results

Required range: x >= 0

Response

OK

items
ContractListSchemaOut · object[]
required
count
integer
required
Last modified on September 24, 2026